Package edu.wisc.game.sql

## Class RecentKnowledge

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<Integer,​RecentKnowledge.Datum>
    - - edu.wisc.game.sql.RecentKnowledge

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<Integer,​RecentKnowledge.Datum>`

      public class RecentKnowledge
      extends HashMap<Integer,​RecentKnowledge.Datum>

  An auxiliary data structure, used as an element of EpisodeInfo.ExtendedDisplay, used to sent to the GUI client, in a concise form, the info about the knowledge of the board acquired through the recent players' actions (those since the last board change, i.e the last successful move). This is used to make it easier for the client to display the feedback about the recent actions.

  Starting GS 8.0, the key normally is the piece ID, rather than position (as it was in 7.*); however, the backward-compatibility mode, with the position as the ID, also exists.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RecentKnowledge.Datum` | Which game piece do we know something about, and what do we know about it?

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Method Summary

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`